local main_menu_simulations = data.raw["utility-constants"]["default"].main_menu_simulations
  local make_simulation = function(duration, planet, filename, script)
    return
    {
      checkboard = false,
      save = filename,
      length = duration,
      init =
      [[
        local sim_planet = game.surfaces["]] .. planet .. [["]
        local logo = sim_planet.find_entities_filtered{name = "factorio-logo-11tiles", limit = 1}[1]
        logo.destructible = false
        local center = {logo.position.x, logo.position.y+9.75}
        game.simulation.camera_surface_index = sim_planet.index
        game.simulation.camera_position = center
        game.simulation.camera_zoom = 1
        game.tick_paused = false
      ]]
      ..
      script
    }
  end
if settings.startup["ske_vesta_legacy_recipes"].value then
	if settings.startup["ske_vesta_gases"].value then
	else
	main_menu_simulations.vesta1_global = make_simulation(60 * 20, "vesta", "__skewer_planet_vesta_assets__/menu-simulations/VestaMenu_1_global.zip", [[]])
	main_menu_simulations.vesta2_global = make_simulation(60 * 16, "vesta", "__skewer_planet_vesta_assets__/menu-simulations/VestaMenu_2_global.zip", [[]])
--	main_menu_simulations.vesta3_global = make_simulation(60 * 24, "vesta", "__skewer_planet_vesta_assets__/menu-simulations/VestaMenu_3_global.zip", [[]])
	main_menu_simulations.vesta4_global = make_simulation(60 * 20, "vesta", "__skewer_planet_vesta_assets__/menu-simulations/VestaMenu_4_global.zip", [[]])
	main_menu_simulations.vesta5_global = make_simulation(60 * 25, "vesta", "__skewer_planet_vesta_assets_2__/menu-simulations/VestaMenu_5_global.zip", [[]])
	main_menu_simulations.vesta6_global = make_simulation(60 * 20, "vesta", "__skewer_planet_vesta_assets_2__/menu-simulations/VestaMenu_6_global.zip", [[]])
	main_menu_simulations.vesta7_global = make_simulation(60 * 19, "vesta", "__skewer_planet_vesta_assets_2__/menu-simulations/VestaMenu_7_global.zip", [[]])
	end
else
end